Sponsored Links

Sponsored Links

Results 1 to 4 of 4



  1. #1
    Contributor sideshow's Avatar
    Join Date
    Apr 2005
    Posts
    216
    Sponsored Links

    Quake III Revolution (NTSC US)

    Sponsored Links
    Here is another older game I gave a try and once again it needed CD Loader to boot. This is a CD game and I tried it on my V4. If anybody else has it, could you verify whether you needed CD Loader or not? I didnt see this one on the Swap Magic site.

  2. #2
    Contributor Atom224's Avatar
    Join Date
    Apr 2005
    Posts
    54
    Sponsored Links
    Sponsored Links
    just pulled this one out to try it. I use the swap magic cd version 3.3 and just the game. No loader needed on the pstwo.

    Atom

  3. #3
    Contributor sideshow's Avatar
    Join Date
    Apr 2005
    Posts
    216
    Sponsored Links
    Sponsored Links
    Well, I'm using SMCD2.0 so maybe theres a difference?

  4. #4
    Contributor Atom224's Avatar
    Join Date
    Apr 2005
    Posts
    54
    yep, there are many games that I no longer need the dvdloader for since I switched to 3.3. can't remember them all, but I know hitman 2 is one. I think swap magic fix may have to go to a table style chart that included games that don't need the swap anymore when using 3.3 or higher. My friend has 3.0 and I have 3.3 and there are quite a few differences.

    Atom

 
Sponsored Links

Advertising - Affiliates - Contact Us - PS3 Downloads - PS3 Forums - Privacy Statement - Site Rules - Top - © 2015 PlayStation 3 News